Subject: bug#23847: 24.5; dired icon too large

From: Max Nikulin <[email-masked]>
Date: Fri, 11 Aug 2023 11:13:08 +0700

On 10/02/2022 18:46, Lars Ingebrigtsen wrote:
> Maxim Nikulin writes:
>>
>>     '(icon-map-list
>>       (quote
>>        ((("etc/images/diropen" . "n:folder-new")
>>          ("etc/images/help" . "help-contents"))
>>         x-gtk-stock-map)))
> 
> Thanks.  I don't have a KDE setup here, so I can't really test easily.
> Hopefully somebody else with KDE can debug this further.

- Debian 12 bookworm
- plasma-desktop 5.27.5-2
- emacs 28.2+1-15

The system-file-manager icon is rendered with reasonable size.

The help-browser icon, that appears e.g. in easy customization 
interface, is still too large.

dpkg -S help-browser.svg
breeze-icon-theme: /usr/share/icons/breeze/apps/48/help-browser.svg
breeze-icon-theme: /usr/share/icons/breeze-dark/apps/48/help-browser.svg

Notice that no icons appears at all in Emacs, just text is shown with 
default "Main toolbar label: besides icons". Icons with not text appears 
in Emacs when it is changed to "below icon". (System settings / 
Appearance / Global Theme / Application Style / Configure Icons and 
Toolbars)

~/.config/gtk-3.0/settings.ini
gtk-toolbar-style=2
vs. default
gtk-toolbar-style=3

In Kubuntu-20.04 I have
gtk-toolbar-style=GTK_TOOLBAR_BOTH_HORIZ
and icon+text on the same line are rendered, but it is unrelated to the 
excessively large help icon, it is a hint for those who do not see icons 
at all.